Author: Dylan Aïssi <bob.dybian@gmail.com>
Description: Fix a FTBFS on Hurd since it use MACH kernel like OSX
 Fix "globalsosx.cpp:8:24: fatal error: sys/sysctl.h: No such file or directory"
 See https://buildd.debian.org/status/package.php?p=muscle
Last-Update: 2016-01-16
Forwarded: no

--- a/globalsosx.cpp
+++ b/globalsosx.cpp
@@ -1,4 +1,4 @@
-#ifdef __MACH__
+#ifdef __OSX__
 
 #include <memory.h>
 #include <stdlib.h>
@@ -89,4 +89,4 @@ void OSInit()
 	{
 	}
 
-#endif // __MACH__
+#endif // __OSX__
--- a/globalsother.cpp
+++ b/globalsother.cpp
@@ -1,6 +1,6 @@
 #include "muscle.h"
 
-#if		!defined(__linux__) && !defined(_MSC_VER) && !defined(__MACH__)
+#if		!defined(__linux__) && !defined(_MSC_VER) && !defined(__OSX__)
 
 double GetNAN()
 	{
